> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create enrichments

> Starts asynchronous candidate enrichments for the provided candidates.



## OpenAPI

````yaml /openapi-private.json post /enrichments/_bulk
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /enrichments/_bulk:
    post:
      tags:
        - Enrichments
      summary: Create enrichments
      description: Starts asynchronous candidate enrichments for the provided candidates.
      operationId: bulkCreateEnrichments
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkCreateCandidateEnrichmentsDto'
      responses:
        '202':
          description: The enrichment request was accepted for asynchronous processing.
        '400':
          description: >-
            Bad request - missing, invalid, duplicate, or unsupported enrichment
            input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '429':
          description: Too many requests - rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    BulkCreateCandidateEnrichmentsDto:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/BulkCreateCandidateEnrichmentTypeDto'
        select:
          $ref: '#/components/schemas/BulkCreateCandidateEnrichmentsSelectDto'
      required:
        - type
        - select
      id: PrivateBulkCreateCandidateEnrichmentsDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    BulkCreateCandidateEnrichmentTypeDto:
      oneOf:
        - $ref: '#/components/schemas/BulkCreateCandidateEmailEnrichmentTypeDto'
        - $ref: '#/components/schemas/BulkCreateCandidatePhoneEnrichmentTypeDto'
        - $ref: '#/components/schemas/BulkCreateCandidateLinkedInEnrichmentTypeDto'
        - $ref: '#/components/schemas/BulkCreateCandidateProfileEnrichmentTypeDto'
      id: PrivateBulkCreateCandidateEnrichmentTypeDto
    BulkCreateCandidateEnrichmentsSelectDto:
      type: object
      properties:
        candidateIds:
          $ref: '#/components/schemas/BulkCreateCandidateEnrichmentsCandidateIdsDto'
      required:
        - candidateIds
      id: PrivateBulkCreateCandidateEnrichmentsSelectDto
    BulkCreateCandidateEmailEnrichmentTypeDto:
      type: object
      properties:
        value:
          type: string
          enum:
            - EMAIL
        purpose:
          type: string
          enum:
            - personal
            - work
      required:
        - value
      additionalProperties: false
      id: PrivateBulkCreateCandidateEmailEnrichmentTypeDto
    BulkCreateCandidatePhoneEnrichmentTypeDto:
      type: object
      properties:
        value:
          type: string
          enum:
            - PHONE
      required:
        - value
      additionalProperties: false
      id: PrivateBulkCreateCandidatePhoneEnrichmentTypeDto
    BulkCreateCandidateLinkedInEnrichmentTypeDto:
      type: object
      properties:
        value:
          type: string
          enum:
            - LINKEDIN
      required:
        - value
      additionalProperties: false
      id: PrivateBulkCreateCandidateLinkedInEnrichmentTypeDto
    BulkCreateCandidateProfileEnrichmentTypeDto:
      type: object
      properties:
        value:
          type: string
          enum:
            - PROFILE
      required:
        - value
      additionalProperties: false
      id: PrivateBulkCreateCandidateProfileEnrichmentTypeDto
    BulkCreateCandidateEnrichmentsCandidateIdsDto:
      type: object
      properties:
        include:
          minItems: 1
          maxItems: 500
          type: array
          items:
            type: string
            minLength: 1
          uniqueItems: true
      required:
        - include
      id: PrivateBulkCreateCandidateEnrichmentsCandidateIdsDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````